View Issue Details

IDProjectCategoryView StatusLast Update
0005065Multi Theft Auto : San AndreasClientpublic2013-01-21 21:46
ReporterAwwuAssigned ToCazomino05 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version1.3.2Fixed in Version1.3.2 
Summary0005065: Disabling controls doesn't disable analog sticks in gamepads
Description

What I've seen in race is that I'm still able to steer with my PS2 gamepad analog stick (left one; right one, which moves the camera, doesn't work) when the map has ended (it should disable all controls there). It's a rather minor issue but could be abused elsewhere if the scripter isn't aware of it and wants the player to absolutely not be able to move.

As it propably is meant to be, I haven't had to bind my analog sticks to movement/camera movement keys as MTA does it automatically.

I'm using TigerGame PS/PS2 Game Controller Adapter if it's any use.

TagsNo tags attached.

Relationships

has duplicate 0005290 closed New issues toggleControl does not work for the analog inputs 

Activities

Awwu

2009-10-21 16:42

viewer   ~~0010729

Actually the right analog stick works too.

Talidan

2009-10-21 16:42

administrator   ~~0010730

Last edited: 2009-10-21 16:44

I was actually working on this issue before the release of 1.0, but had troubles in trying not to make a big mess of the overlap between Core and Deathmatch.

The solution was also related to #3966 being fixed, but not essential.

Basically, it relates to the implementation of setAnalogControlState and toggleControl affecting these analog control states.

subenji99

2009-10-21 16:50

viewer   ~~0010731

Though should be obvious, I'll point out that this applies to the accelerate and brake_reverse analog control states too.

arranTuna

2013-01-18 22:07

manager   ~~0017980

Fixed a long time ago in http://code.google.com/p/mtasa-blue/source/detail?r=4185

Issue History

Date Modified Username Field Change